menu_std:
  label: Standard Menu
  namespace: Organisms/TM - Menus
  use: '@organisms/tm-menu/menu-std/menu-std.twig'
  description: Standard Menu
  libraries:
    - menu_std_lib:
        css:
          component:
            ../styles/menu-std.css: {}

  fields:
    mid:
      type: text
      label: Menu ID
      description: Menu ID
      preview:
        faker: lorum.slug
    tid:
      type: text
      label: Text ID
      description: Used for aria
      preview:
        faker: lorum.slug
    links:
      type: object
      label: Items
      preview:
        - lid: d8cdba8f-c126-4794-af2f-ec63711c6682
          title: Home
          url: /
        - lid: 10572907-2c93-4aa8-b16d-e64ad2efabc9
          title: Tickets & Fares
          url: /
          in_active_trail: true
          sub_links:
            - lid: 8e03b194-8849-4f08-8282-009004ba217a
              title: Find the Right Ticket
              url: /
            - lid: 32a7296c-41b3-48c9-8e5a-96358f98fd8d
              title: Daily Tickets
              url: /
              in_active_trail: true
              sub_links:
                - lid: 845eca8b-1187-4ffa-9fe2-e3f834947bd3
                  title: Advance Tickets
                  url: /
                  active: true
                - lid: eb489d85-e3ef-49a6-ba3b-b86a02fac997
                  title: Greater Anglia Mobile Tickets App
                  url: /
                - lid: 95a82976-fb94-4e67-8a0a-a554050398b0
                  title: Off-Peak and Super Off-Peak Tickets
                  url: /
                - lid: b36526d5-ba78-41eb-9116-cdab6ad9e203
                  title: Anytime Tickets
                  url: /
                - lid: b13c82a2-d623-49a9-b1df-e2128d019dd4
                  title: First Class Travel
                  url: /
                - lid: 76f94cf1-5dc2-45be-865d-eeb6fa95fe5b
                  title: Oyster
                  url: /
            - lid: 08fd06ae-4acf-45eb-af56-04a3c26b184f
              title: Season Tickets
              url: /
              sub_links:
                - lid: 9df39cc3-944e-4b66-834d-41948e4a4ed6
                  title: Buy or Renew Online
                  url: /
                - lid: 2b2d5592-397f-49ce-b632-fb250eeff0f5
                  title: Season Ticket Calculator
                  url: /
                - lid: e331b270-17d1-4010-a934-8aff3a003d79
                  title: Smart Card Season Tickets
                  url: /
                - lid: efbda21e-4134-4f93-a368-ccb4fdbfa7a2
                  title: Job Track For Job Seekers
                  url: /
            - lid: 717d93cf-d131-4c68-a7be-9f2edb051dae
              title: Discounts
              url: /
              sub_links:
                - lid: 95afcaf8-10d6-48a1-aaba-85f44339f37a
                  title: PLUSBUS
                  url: /
                - lid: 3a2fa40f-a22e-48e2-9a61-9a971e4d4368
                  title: Rangers & Rovers
                  url: /
                - lid: d0dcb8b8-1bc1-42a0-b132-1dc04b54088c
                  title: Railcards
                  url: /
                - lid: 8e256d83-64ab-42f0-80e5-2c9d8a28b715
                  title: Rail and Sail to Holland
                  url: /
                - lid: 584465bc-e2fd-4439-a77b-32985aae66ba
                  title: Duo Tickets
                  url: /
                - lid: 762c821c-014e-4889-b67d-8e230add6114
                  title: Child Train Fares
                  url: /
                - lid: d42fcd26-ad0d-4bde-aaad-1c23bbe1b8ba
                  title: London Evening out
                  url: /
                - lid: f72c261b-07b3-47dd-8d68-9a559f8a90cc
                  title: FlexiPass
                  url: /

  settings:
    max_depth:
      label: Depth
      type: number
      default_value: 5
      preview: 5
    wrapper_attributes:
      type: attributes
      label: Attributes for the menu wrapper
    wrapper_class:
      type: textfield
      label: Wrapper classes
    icon:
      type: textfield
      label: Icon class
      default_value: 'fas fa-angle-right'
